www.cendio.com
Bug 5050 - hp and hpfax cups backends crash on Ubuntu when we restart cups from tl-setup
: hp and hpfax cups backends crash on Ubuntu when we restart cups from tl-setup
Status: CLOSED FIXED
: ThinLinc
Server OS
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-03-28 13:02 by
Modified: 2014-05-02 10:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-03-28 13:02:11
Seen on Ubuntu 14.04 beta 2:

ERROR: apport (pid 9856) Fri Mar 28 04:51:23 2014: another apport instance is
already running, aborting
ERROR: apport (pid 9857) Fri Mar 28 04:51:23 2014: called for pid 9854, signal
11, core limit 0
ERROR: apport (pid 9857) Fri Mar 28 04:51:23 2014: script:
/usr/lib/cups/backend/hpfax, interpreted by /usr/bin/python2.7 (command line
"/usr/bin/python /usr/lib/cups/backend/hpfax")
ERROR: apport (pid 9857) Fri Mar 28 04:51:23 2014: is_closing_session(): no
DBUS_SESSION_BUS_ADDRESS in environment
ERROR: apport (pid 9857) Fri Mar 28 04:51:25 2014: wrote report
/var/crash/_usr_lib_cups_backend_hpfax.7.crash
ERROR: apport (pid 9932) Fri Mar 28 04:51:27 2014: called for pid 9920, signal
11, core limit 0
ERROR: apport (pid 9932) Fri Mar 28 04:51:27 2014: executable:
/usr/lib/cups/backend/hp (command line "hp")
ERROR: apport (pid 9932) Fri Mar 28 04:51:27 2014: is_closing_session(): no
DBUS_SESSION_BUS_ADDRESS in environment
ERROR: apport (pid 9932) Fri Mar 28 04:51:27 2014: wrote report
/var/crash/_usr_lib_cups_backend_hp.7.crash
ERROR: apport (pid 9934) Fri Mar 28 04:51:27 2014: another apport instance is
already running, aborting

Popped up two nasty graphical error messages as well when tl-setup was running.
------- Comment #1 From cendio 2014-04-03 13:56:03 -------
Seems to be something we are doing. tl-setup consistently causes the backends
to crash, but "sudo service cups restart" does not.
------- Comment #2 From cendio 2014-04-03 14:09:12 -------
Actually, it's not the restart that causes it, but instead this command:

   $ lpinfo -h localhost -v

You don't even have to have to be root, or have ThinLinc installed.
------- Comment #3 From cendio 2014-04-03 14:23:58 -------
Same bug exists in Ubuntu 13.10. Can't find any reports in Launchpad though...
------- Comment #4 From cendio 2014-04-04 13:19:23 -------
Reported to ubuntu:

https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1302437

Now to decide if we want to work around their bug. It would mean loss of
functionality though as we cannot confirm that the backend was installed
properly.
------- Comment #5 From cendio 2014-04-04 14:14:36 -------
Apparently the bug is that hplip fails to handle when there is no USB
controller in the machine. So it is very likely this won't affect installations
on physical machines. On virtual servers it difficult to say how common it will
be.
------- Comment #6 From cendio 2014-04-08 14:10:51 -------
Ubuntu has released an updated hplip package for 14.04, completely removing
this issue.
------- Comment #7 From cendio 2014-04-30 08:57:49 -------
Verified that this is not an issue on a physical machine using ubuntu 13.10-
------- Comment #8 From cendio 2014-04-30 09:06:07 -------
(In reply to comment #7)
> Verified that this is not an issue on a physical machine using ubuntu 13.10-

Booted using kernel param nousb and following error was produced:

[   65.755276] type=1400 audit(1398841457.389:69): apparmor="DENIED"
operation="open" parent=1902 profile="/usr/sbin/cupsd" name="/dev/" pid=1918
comm="usb" requested_mask="r" denied_mask="r" fsuid=0 ouid=0
[   65.841853] hp[1908]: segfault at 30 ip 00007f3dec232f74 sp 00007fff285b4660
error 4 in libpthread-2.17.so[7f3dec229000+17000]
[   66.367581] hpfax[1903]: segfault at 30 ip 00007f83ad384f74 sp
00007fff092a6e50 error 4 in libpthread-2.17.so[7f83ad37b000+17000]
------- Comment #9 From cendio 2014-05-02 10:13:16 -------
Verified as working on a updated ubuntu 14.04 LTS, no apport issues nor crashes
in kernel log.